package com.liquidnet.service.account.wallet.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class FinBizTrans implements Cloneable {
    private String transNo;

    private String walletNo;

    private String finId;

    private BigDecimal amount;

    private String transType;

    private Integer transStatus;

    private String tradeNo;

    private String tracingNo;

    private String tracingType;

    private LocalDateTime tracingTime;

    private String tracingTitle;

    private String tracingDesc;

    private LocalDateTime createTime;

    private LocalDateTime completeTime;

    private LocalDateTime updateTime;

    private String remark;

    private String reasons;

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo == null ? null : transNo.trim();
    }

    public String getWalletNo() {
        return walletNo;
    }

    public void setWalletNo(String walletNo) {
        this.walletNo = walletNo == null ? null : walletNo.trim();
    }

    public String getFinId() {
        return finId;
    }

    public void setFinId(String finId) {
        this.finId = finId == null ? null : finId.trim();
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getTransType() {
        return transType;
    }

    public void setTransType(String transType) {
        this.transType = transType == null ? null : transType.trim();
    }

    public Integer getTransStatus() {
        return transStatus;
    }

    public void setTransStatus(Integer transStatus) {
        this.transStatus = transStatus;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo == null ? null : tradeNo.trim();
    }

    public String getTracingNo() {
        return tracingNo;
    }

    public void setTracingNo(String tracingNo) {
        this.tracingNo = tracingNo == null ? null : tracingNo.trim();
    }

    public String getTracingType() {
        return tracingType;
    }

    public void setTracingType(String tracingType) {
        this.tracingType = tracingType;
    }

    public LocalDateTime getTracingTime() {
        return tracingTime;
    }

    public void setTracingTime(LocalDateTime tracingTime) {
        this.tracingTime = tracingTime;
    }

    public String getTracingTitle() {
        return tracingTitle;
    }

    public void setTracingTitle(String tracingTitle) {
        this.tracingTitle = tracingTitle == null ? null : tracingTitle.trim();
    }

    public String getTracingDesc() {
        return tracingDesc;
    }

    public void setTracingDesc(String tracingDesc) {
        this.tracingDesc = tracingDesc == null ? null : tracingDesc.trim();
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(LocalDateTime completeTime) {
        this.completeTime = completeTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getReasons() {
        return reasons;
    }

    public void setReasons(String reasons) {
        this.reasons = reasons;
    }

    private static final FinBizTrans obj = new FinBizTrans();

    public static FinBizTrans getNew() {
        try {
            return (FinBizTrans) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new FinBizTrans();
    }
}
